> ## Documentation Index
> Fetch the complete documentation index at: https://ormilabs.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get bulk transactions

> Lists bulk transaction data for a wallet address in a 15-minute time bucket interval.



## OpenAPI

````yaml get /apechain/v1/bulk/transactions/{walletAddress}/{timeBucket}
openapi: 3.0.3
info:
  description: ''
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  title: Data API
  version: 1.0.0
servers:
  - description: The DEV base URL for the API
    url: https://data-api.cloud.ormi.dev
security: []
paths:
  /apechain/v1/bulk/transactions/{walletAddress}/{timeBucket}:
    get:
      tags:
        - Transactions
      summary: Get bulk transactions
      description: >-
        Lists bulk transaction data for a wallet address in a 15-minute time
        bucket interval.
      operationId: GetBulkTransactions
      parameters:
        - description: A wallet address.
          in: path
          name: walletAddress
          required: true
          schema:
            type: string
        - description: >-
            The 0-indexed 15-minute time bucket. E.g. 20 Jan 2024 15:22 GMT =
            1705764120 (Unix time). 1705764120/900=1895293 timeBucket.
          in: path
          name: timeBucket
          required: true
          schema:
            format: int64
            type: integer
        - $ref: '#/components/parameters/cursor'
        - $ref: '#/components/parameters/limit'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionsWithCursor'
              examples:
                example1:
                  value:
                    cursor: null
                    transactions:
                      - block_hash: >-
                          0xf8ffc9e6b529b60e4d6866e67dd82e286bb75e408113977dc0c2b24ab19a941c
                        block_number: 12509151
                        block_timestamp: '2025-03-30T19:38:34Z'
                        contract_address: ''
                        cumulative_gas_used: '44998'
                        effective_gas_price: '25420690000'
                        from_address: '0x9b4c34540bb395e190454c6377716a414ff75095'
                        gas: '56728'
                        gas_price: '34317931500'
                        gas_used: '44998'
                        input: '0xd0e30db0'
                        l1_fee: null
                        l1_fee_scalar: null
                        l1_gas_price: null
                        l1_gas_used: null
                        max_fee_per_gas: '34317931500'
                        max_priority_fee_per_gas: '34317931500'
                        nonce: '44'
                        status: 1
                        to_address: '0x00000000000f7e000644657dc9417b185962645a'
                        transaction_hash: >-
                          0x5ec8b73510f75379959092735c1b7e3f62dfac0edf1ee69bfbb4d7a9cc9fe7ab
                        transaction_index: 1
                        transaction_type: 2
                        value: '300000000000000000000'
          description: Successful response
        '400':
          description: Bad request
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  parameters:
    cursor:
      description: The cursor returned in previous response (for getting the next page).
      in: query
      name: cursor
      required: false
      schema:
        type: string
    limit:
      description: Number of records to fetch
      in: query
      name: limit
      required: false
      schema:
        default: 100
        maximum: 100
        minimum: 1
        nullable: true
        type: integer
  schemas:
    TransactionsWithCursor:
      properties:
        cursor:
          nullable: true
          type: string
        transactions:
          items:
            $ref: '#/components/schemas/Transaction'
          type: array
      required:
        - transactions
      type: object
    Transaction:
      properties:
        block_hash:
          type: string
        block_number:
          format: int64
          type: integer
        block_timestamp:
          format: date-time
          type: string
        decoded:
          type: string
        from_address:
          type: string
        gas:
          type: string
        gas_price:
          type: string
        input:
          type: string
        max_fee_per_gas:
          type: string
        max_priority_fee_per_gas:
          type: string
        nonce:
          type: string
        to_address:
          type: string
        transaction_hash:
          type: string
        transaction_index:
          type: integer
        transaction_type:
          type: integer
        value:
          type: string
      required:
        - transaction_hash
        - transaction_index
        - nonce
        - block_hash
        - block_number
        - block_timestamp
        - from_address
        - to_address
        - value
        - gas
        - gas_price
        - max_fee_per_gas
        - max_priority_fee_per_gas
        - input
        - transaction_type
        - decoded
      type: object

````